curl --compressed "https://api.coinmetrics.io/v4/timeseries/market-contract-prices?start_time=2021-09-01T13:00:00Z&end_time=2021-09-01T14:00:00Z&paging_from=start&markets=deribit-ETH-25MAR22-1200-P-option&pretty=true&api_key=<your_key>"{
"data": [
{
"market": "deribit-ETH-25MAR22-1200-P-option",
"time": "2021-09-01T13:24:00.000000000Z",
"mark_price": "0.02126",
"index_price": "3529.34",
"database_time": "2021-09-01T13:24:41.266168000Z",
"exchange_time": "2021-09-01T13:24:00.000000000Z"
}
],
"next_page_token": "0.MjAyMC0wNi0wOFQyMDo0NTowMFo",
"next_page_url": "https://api.coinmetrics.io/v4/timeseries/market-contract-prices?markets=deribit-ETH-10SEP21-3200-P-option&api_key=<your_key>&pretty=true&page_size=2&next_page_token=0.MjAyMC0wNi0wOFQyMDo0NTowMFo"
}Market contract prices
Returns contract prices for specified markets. This includes index price and mark price that are used by the exchange for settlement and risk management purposes.
Results are ordered by tuple (market, time).
To fetch the next page of results use next_page_url JSON response field.
curl --compressed "https://api.coinmetrics.io/v4/timeseries/market-contract-prices?start_time=2021-09-01T13:00:00Z&end_time=2021-09-01T14:00:00Z&paging_from=start&markets=deribit-ETH-25MAR22-1200-P-option&pretty=true&api_key=<your_key>"{
"data": [
{
"market": "deribit-ETH-25MAR22-1200-P-option",
"time": "2021-09-01T13:24:00.000000000Z",
"mark_price": "0.02126",
"index_price": "3529.34",
"database_time": "2021-09-01T13:24:41.266168000Z",
"exchange_time": "2021-09-01T13:24:00.000000000Z"
}
],
"next_page_token": "0.MjAyMC0wNi0wOFQyMDo0NTowMFo",
"next_page_url": "https://api.coinmetrics.io/v4/timeseries/market-contract-prices?markets=deribit-ETH-10SEP21-3200-P-option&api_key=<your_key>&pretty=true&page_size=2&next_page_token=0.MjAyMC0wNi0wOFQyMDo0NTowMFo"
}Authorizations
Query Parameters
Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.
"America/New_York"

